%define major 0
%define libname %mklibname lxc %{major}
%define develname %mklibname lxc -d


Name:		lxc
Version:	0.7.5
Release:	%mkrel 1
Summary:	Linux Containers
URL:		http://lxc.sourceforge.net
Source:		http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Group:		System/Kernel and hardware
License:	LGPLv2
BuildRequires:	docbook-utils
BuildRequires:  kernel-headers
BuildRequires:	libcap-devel
Buildrequires:	docbook-dtd30-sgml
# remove after mageia 3
Conflicts:   lxc-doc < 0.7.5
Obsoletes:   lxc-doc < 0.7.5

%description
The package "%{name}" provides the command lines to create and manage
containers.  It contains a full featured container with the isolation
/ virtualization of the pids, the ipc, the utsname, the mount points,
/proc, /sys, the network and it takes into account the control groups.
It is very light, flexible, and provides a set of tools around the
container like the monitoring with asynchronous events notification,
or the freeze of the container. This package is useful to create
Virtual Private Server, or to run isolated applications like bash or
sshd.

%package -n %{libname}
Summary:	Library for LXC
Group:		System/Libraries

%description -n %{libname}
Library for the Linux Kernel Containers.

%package -n %{develname}
Summary:	Development files for LXC
Group:		Development/C
%description -n %{develname}
Developement files for the Linux Kernel Containers.

%prep
%setup -q

%build
%configure F77=no

# remove rpath ( rpmlint error )
sed -i '/AM_LDFLAGS = -Wl,-E -Wl,-rpath -Wl,$(libdir)/d' src/lxc/Makefile.in
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall templatesdir=%{buildroot}/usr/lib/lxc/templates READMEdir={buildroot}/usr/lib/lxc/rootfs

%files
%defattr(-,root,root)
%doc README MAINTAINERS NEWS TODO ChangeLog AUTHORS CONTRIBUTING COPYING
%{_bindir}/lxc-*
%{_libdir}/lxc/lxc-init
/usr/lib/lxc/templates/*
%{_mandir}/man*/%{name}*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lxc
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%defattr(-,root,root)
%doc COPYING
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_datadir}/pkgconfig/%{name}.pc


%changelog

* Sun Sep 04 2011 misc <misc> 0.7.5-1.mga2
+ Revision: 138350
- fix group and summary of lxc-devel
- obsoletes the lxc-doc package, as it is just 16 kb
- remove useless BuildRequires
- do not regenerate configure without reason
- comment the rpath stuff
- drop uneeded define
- new version, thanks bogdano for noticing

* Wed Jun 29 2011 tv <tv> 0.7.4.2-1.mga2
+ Revision: 116124
- fix build
- Buildrequires:  docbook-dtd30-sgml
- BR kernel-headers instead of kernel-devel-latest
- new release
- fix group for doc package

  + ahmad <ahmad>
    - define path to kernel src dir manually

  + boklm <boklm>
    - rebuild for bug #497

* Mon Mar 07 2011 saispo <saispo> 0.7.4-2.mga1
+ Revision: 65992
- Bump release
- Fix template installation
- Add doc and fix build
- New release 0.7.4

  + boklm <boklm>
    - add SOURCES directory
    - add lxc

